#include "Graphics/VertexArray.h"
#include <glad/glad.h>

void VertexArray::Create(){
    glGenVertexArrays(1, &id);
}

void VertexArray::Bind(){
    glBindVertexArray(id);
}

void VertexArray::Unbind(){
    glBindVertexArray(0);
}

void VertexArray::Delete() {
    glDeleteVertexArrays(1, &id);
}


void VertexArray::AttachAttribute(unsigned int index , int size, int stride  ){
    glVertexAttribPointer(index, size, GL_FLOAT, GL_FALSE, stride, 0);
    glEnableVertexAttribArray(0);
}

